com.icl.saxon

## Interface NodeHandler

- All Known Implementing Classes:
    ElementHandler, ElementHandlerBase, SAXONHandler, XSLTemplate

      public interface NodeHandler

  This abstract class defines the node handler interface used by SAXON. This is used to handle all kinds of nodes: elements, character data, and attributes

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `needsStackFrame()` Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
    `void` | `start(NodeInfo node, Context context)` Define action to be taken at the start of a node. This method must be implemented in a subclass.

- - ### Method Detail

    - #### start

          void start(NodeInfo node,
                   Context context)
                     throws javax.xml.transform.TransformerException

      Define action to be taken at the start of a node.
      This method must be implemented in a subclass.
      Parameters:
        `node` - The NodeInfo object for the current node.
      Throws:
        `SAXException` - Aborts the parse
        `javax.xml.transform.TransformerException`
      See Also:
        `NodeInfo`

    - #### needsStackFrame

          boolean needsStackFrame()

      Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters